# SignatureType

interface SignatureType

The type of signature.

#### Inheritors

AbstractSignatureType

## Functions

combinedExtension
Link copied to clipboard
abstract fun combinedExtension(toSign: File): String
Combines the extension of the given file with the expected signature extension.
fileFor
Link copied to clipboard
abstract fun fileFor(toSign: File): File
Calculates the file where to store the signature of the given file to be signed.
getExtension
Link copied to clipboard
@Input
abstract fun getExtension(): String
The file extension (without the leading dot) associated to this type of signature.
sign
Link copied to clipboard
abstract fun sign(signatory: Signatory, toSign: File): File
Signs the given file and returns the file where the signature has been written to.
abstract fun sign(signatory: Signatory, toSign: InputStream, destination: OutputStream)
Signs the data from the given InputStream and stores the signature in the given OutputStream.